spring:

  redis:
    host: 39.105.210.213
    port: 6379
    database: 6
    password: 'WSzs*aA^U2nH$u!K'
    lettuce:
      cluster:
        refresh:
          adaptive: true
          period: 30000
      pool:
        max-wait: 10000
        max-idle: 10
        min-idle: 10
        max-active: 20

  jackson:
    date-format: yyyy-MM-dd HH:mm:ss
    time-zone: GMT+8
    serialization:
      indent-output: true
    deserialization:
      fail-on-unknown-properties: false
    default-property-inclusion: non_null

  kafka:
    # Kafka服务器地址
    bootstrap-servers: localhost:9092
    producer:
      key-serializer: org.apache.kafka.common.serialization.StringSerializer
      value-serializer: org.springframework.kafka.support.serializer.JsonSerializer
      properties:
        acks: all
        retries: 3
        batch-size: 16384
        linger-ms: 1
        buffer-memory: 33554432

app:
  info:
    appId: 10000
    appName: 海油小程序

server:
  port: 9090
